package com.helix.tasks.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the Source service. Represents a row in the &quot;Helix_Source&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link com.helix.tasks.model.impl.SourceModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link com.helix.tasks.model.impl.SourceImpl}.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see Source
 * @see com.helix.tasks.model.impl.SourceImpl
 * @see com.helix.tasks.model.impl.SourceModelImpl
 * @generated
 */
public interface SourceModel extends BaseModel<Source> {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this interface directly. All methods that expect a source model instance should use the {@link Source} interface instead.
     */

    /**
     * Returns the primary key of this source.
     *
     * @return the primary key of this source
     */
    public long getPrimaryKey();

    /**
     * Sets the primary key of this source.
     *
     * @param primaryKey the primary key of this source
     */
    public void setPrimaryKey(long primaryKey);

    /**
     * Returns the source ID of this source.
     *
     * @return the source ID of this source
     */
    public long getSourceId();

    /**
     * Sets the source ID of this source.
     *
     * @param sourceId the source ID of this source
     */
    public void setSourceId(long sourceId);

    /**
     * Returns the group ID of this source.
     *
     * @return the group ID of this source
     */
    public long getGroupId();

    /**
     * Sets the group ID of this source.
     *
     * @param groupId the group ID of this source
     */
    public void setGroupId(long groupId);

    /**
     * Returns the company ID of this source.
     *
     * @return the company ID of this source
     */
    public long getCompanyId();

    /**
     * Sets the company ID of this source.
     *
     * @param companyId the company ID of this source
     */
    public void setCompanyId(long companyId);

    /**
     * Returns the user ID of this source.
     *
     * @return the user ID of this source
     */
    public long getUserId();

    /**
     * Sets the user ID of this source.
     *
     * @param userId the user ID of this source
     */
    public void setUserId(long userId);

    /**
     * Returns the user uuid of this source.
     *
     * @return the user uuid of this source
     * @throws SystemException if a system exception occurred
     */
    public String getUserUuid() throws SystemException;

    /**
     * Sets the user uuid of this source.
     *
     * @param userUuid the user uuid of this source
     */
    public void setUserUuid(String userUuid);

    /**
     * Returns the create date of this source.
     *
     * @return the create date of this source
     */
    public Date getCreateDate();

    /**
     * Sets the create date of this source.
     *
     * @param createDate the create date of this source
     */
    public void setCreateDate(Date createDate);

    /**
     * Returns the modified date of this source.
     *
     * @return the modified date of this source
     */
    public Date getModifiedDate();

    /**
     * Sets the modified date of this source.
     *
     * @param modifiedDate the modified date of this source
     */
    public void setModifiedDate(Date modifiedDate);

    /**
     * Returns the event source of this source.
     *
     * @return the event source of this source
     */
    @AutoEscape
    public String getEventSource();

    /**
     * Sets the event source of this source.
     *
     * @param eventSource the event source of this source
     */
    public void setEventSource(String eventSource);

    /**
     * Returns the event source link of this source.
     *
     * @return the event source link of this source
     */
    @AutoEscape
    public String getEventSourceLink();

    /**
     * Sets the event source link of this source.
     *
     * @param eventSourceLink the event source link of this source
     */
    public void setEventSourceLink(String eventSourceLink);

    /**
     * Returns the image esl of this source.
     *
     * @return the image esl of this source
     */
    @AutoEscape
    public String getImageEsl();

    /**
     * Sets the image esl of this source.
     *
     * @param imageEsl the image esl of this source
     */
    public void setImageEsl(String imageEsl);

    /**
     * Returns the organizer of this source.
     *
     * @return the organizer of this source
     */
    @AutoEscape
    public String getOrganizer();

    /**
     * Sets the organizer of this source.
     *
     * @param organizer the organizer of this source
     */
    public void setOrganizer(String organizer);

    /**
     * Returns the city of this source.
     *
     * @return the city of this source
     */
    @AutoEscape
    public String getCity();

    /**
     * Sets the city of this source.
     *
     * @param city the city of this source
     */
    public void setCity(String city);

    /**
     * Returns the country of this source.
     *
     * @return the country of this source
     */
    @AutoEscape
    public String getCountry();

    /**
     * Sets the country of this source.
     *
     * @param country the country of this source
     */
    public void setCountry(String country);

    @Override
    public boolean isNew();

    @Override
    public void setNew(boolean n);

    @Override
    public boolean isCachedModel();

    @Override
    public void setCachedModel(boolean cachedModel);

    @Override
    public boolean isEscapedModel();

    @Override
    public Serializable getPrimaryKeyObj();

    @Override
    public void setPrimaryKeyObj(Serializable primaryKeyObj);

    @Override
    public ExpandoBridge getExpandoBridge();

    @Override
    public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

    @Override
    public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

    @Override
    public void setExpandoBridgeAttributes(ServiceContext serviceContext);

    @Override
    public Object clone();

    @Override
    public int compareTo(com.helix.tasks.model.Source source);

    @Override
    public int hashCode();

    @Override
    public CacheModel<com.helix.tasks.model.Source> toCacheModel();

    @Override
    public com.helix.tasks.model.Source toEscapedModel();

    @Override
    public com.helix.tasks.model.Source toUnescapedModel();

    @Override
    public String toString();

    @Override
    public String toXmlString();
}
